com.pdfunit

## Enum WhitespaceProcessing

- java.lang.Object
- - java.lang.Enum<WhitespaceProcessing>
  - - com.pdfunit.WhitespaceProcessing

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<WhitespaceProcessing>

      @DoNotObfuscate
      public enum WhitespaceProcessing
      extends java.lang.Enum<WhitespaceProcessing>

  Constants providing whitespace processing.
  Since:
    2016.05
  Author:
    Carsten Siedentop, January 2016

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `IGNORE`
    `KEEP`
    `NORMALIZE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `process(java.lang.String stringWithWhitespaces)`
    `abstract java.lang.String` | `processLocal(java.lang.String stringWithWhitespaces)`
    `static WhitespaceProcessing` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static WhitespaceProcessing[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NORMALIZE

          public static final WhitespaceProcessing NORMALIZE

    - #### KEEP

          public static final WhitespaceProcessing KEEP

    - #### IGNORE

          public static final WhitespaceProcessing IGNORE

  - ### Method Detail

    - #### values

          public static WhitespaceProcessing[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WhitespaceProcessing c : WhitespaceProcessing.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WhitespaceProcessing valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### process

          public java.lang.String process(java.lang.String stringWithWhitespaces)

    - #### processLocal

          public abstract java.lang.String processLocal(java.lang.String stringWithWhitespaces)

Copyright (C) PDFUnit.com. See here for license.